
TYPO3.Flow - Bug # 38713

Status: Resolved Priority: Should have
Author: Dominique Feyer Category: - Testing -
Created: 2012-07-06 Assigned To: Dominique Feyer
Updated: 2012-07-09 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.1.0 rc 1
Subject: MemcachedBackendTest don't use TYPO3\FLOW3\Core\ApplicationContext
Description

A different place the phpunit test don't initialize correctly MemcachedBackend class:

$thatBackend = new \TYPO3\FLOW3\Cache\Backend\MemcachedBackend('Testing', $backendOptions);

Must be changed to

$thatBackend = new \TYPO3\FLOW3\Cache\Backend\MemcachedBackend(new ApplicationContext('Testing'),
$backendOptions);

Associated revisions
Revision 00ff17ef - 2012-07-09 11:11 - Dominique Feyer

[BUGFIX] MemcachedBackendTest fail

MemcachedBackendTest doesn't use TYPO3\FLOW3\Core\ApplicationContext
to initialize MemcacheBackend.

Change-Id: I7cee5f4c3688897c53801923dc3ac1069fa369c0
Fixes: #38713
Releases: 1.1, 1.2

Revision b9f907d8 - 2012-07-09 11:12 - Dominique Feyer

[BUGFIX] MemcachedBackendTest fail

MemcachedBackendTest doesn't use TYPO3\FLOW3\Core\ApplicationContext
to initialize MemcacheBackend.

Change-Id: I7cee5f4c3688897c53801923dc3ac1069fa369c0
Fixes: #38713
Releases: 1.1, 1.2

History
#1 - 2012-07-06 14:55 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12671

#2 - 2012-07-06 15:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12671

#3 - 2012-07-09 11:09 - Karsten Dambekalns
- Category set to - Testing -
- Assigned To set to Dominique Feyer

#4 - 2012-07-09 11:11 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12715

#5 - 2012-07-09 11:12 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12671

#6 - 2012-07-09 11:36 - Dominique Feyer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b9f907d8c9f17251af0fd5522b221be6926ada42.
